summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorDennis Kasprzyk <onestone@beryl-project.org>2007-04-19 17:47:25 +0200
committerDennis Kasprzyk <onestone@beryl-project.org>2007-04-19 17:47:25 +0200
commit43244abe4e6a11e570424b05ad98d012fc91e734 (patch)
treee7801c2bfc9db7fd18756d05e607f05f0d9b7d56 /autogen.sh
parent7878a60326bf285800952e57270a483c82913feb (diff)
downloadccs-settings-43244abe4e6a11e570424b05ad98d012fc91e734.tar.gz
ccs-settings-43244abe4e6a11e570424b05ad98d012fc91e734.tar.bz2
first very buggy version of the old beryl-settings addopted for libbs
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..e0ad521
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,15 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+glib-gettextize --copy --force || exit 1
+intltoolize --automake --copy --force || exit 1
+cd $ORIGDIR || exit $?
+
+$srcdir/configure "$@"
+